Home

# Class goog.dom.NodeIterator

A DOM tree traversal iterator. Starting with the given node, the iterator walks the DOM in order, reporting events for each node. The iterator acts as a prefix iterator:

    <div>1<span>2</span>3</div>

Will return the following nodes: `[div, 1, span, 2, 3]` With the following depths `[1, 1, 2, 2, 1]` Imagining `|` represents iterator position, the traversal stops at each of the following locations:

    <div>|1|<span>|2|</span>3|</div>

The iterator can also be used in reverse mode, which will return the nodes and states in the opposite order. The depths will be slightly different since, like in normal mode, the depth is computed *after* the last move. Lastly, it is possible to create an iterator that is unconstrained, meaning that it will continue iterating until the end of the document instead of until exiting the start node.extends goog.dom.TagIterator

Instance Method Summary
| `next() ⇒ ?Node` Moves to the next position in the DOM tree.